#ifndef _FDOGEOMETRY_H_
#define _FDOGEOMETRY_H_
// 

//
// Copyright (C) 2004-2006  Autodesk, Inc.
// 
// This library is free software; you can redistribute it and/or
// modify it under the terms of version 2.1 of the GNU Lesser
// General Public License as published by the Free Software Foundation.
// 
// This library is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
// Lesser General Public License for more details.
// 
// You should have received a copy of the GNU Lesser General Public
// License along with this library; if not, write to the Free Software
// Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
//

#ifdef _WIN32
#pragma once
#endif

#include <Common/Std.h>

#include <Geometry/IEnvelope.h>
#include <Common/Dimensionality.h>
#include <Common/GeometryType.h>
#include <Geometry/IDirectPosition.h>
#include <Geometry/DirectPositionImpl.h>
#include <Geometry/ILineString.h>
#include <Geometry/IPoint.h>
#include <Geometry/ILinearRing.h>
#include <Geometry/ILineStringSegment.h>
#include <Geometry/IPolygon.h>
#include <Geometry/IMultiPoint.h>
#include <Geometry/IMultiGeometry.h>
#include <Geometry/IMultiLineString.h>
#include <Geometry/IMultiPolygon.h>
#include <Geometry/ICircularArcSegment.h>
#include <Geometry/ICurveString.h>
#include <Geometry/IMultiCurveString.h>
#include <Geometry/IRing.h>
#include <Geometry/ICurvePolygon.h>
#include <Geometry/IMultiCurvePolygon.h>

#include <Geometry/GeometryStream/GeometryStreamFactory.h>
#include <Geometry/GeometryStream/GeometryStreamReader.h>
#include <Geometry/GeometryStream/GeometryStreamWriter.h>

#include <Geometry/Fgf/Factory.h>
#endif


